### Method

# Ide GreeterSection activate_first

#### Declaration

    gboolean
    ide_greeter_section_activate_first (
      IdeGreeterSection* self
    )

#### Description

Active the first item in the section. This happens when the user hits Enter within the search box to select the first visible item in the search result set.

Ensure the given item is visible before activating it.

If no item matched, then return `FALSE`.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if an item was activated.